public class RotationalParameter : GameParameter
{
	public override float value {
		get { return currentValue; }
		set
		{
			currentValue = value;
			while (currentValue > maxValue)
				currentValue -= maxValue;
			while (currentValue < minValue)
				currentValue += maxValue;
		}
	}

	public RotationalParameter(float min, float max, float initValue) : base(min, max, initValue)
	{
	}
}