﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

public class WavePoint : MonoBehaviour
{
	public bool userFunc;
	public WaveSetting parent;

	private static float speed = 25f;

	private void Update()
	{
		var pos = transform.localPosition;
		pos.z = 10;
		pos.x += Time.deltaTime * speed;

		float x, y;
		if (userFunc)
		{
			x = parent.xCoef;
			y = parent.yCoef;
		}
		else
		{
			x = parent.xCoefStatic;
			y = parent.yCoefStatic;
		}
		pos.y = Mathf.Sin(pos.x / 10 * x) * y;

		transform.localPosition = pos;

		if (transform.localPosition.x > parent.endx.transform.localPosition.x)
		{
			Destroy(this.gameObject);
		}
	}

}

