﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;


public abstract class ControllerComponent : MonoBehaviour
{
	protected virtual CharacterComponent controlledObject { get; set; }
	protected MovementComponent movement;
	protected bool canControl;

	//protected float _angle;

	//protected virtual float angle
	//{
	//	get { return _angle; }
	//	set { _angle = value; }
	//}

	//protected static T CreateBase<T>(GameObject go)
	//	where T : ControllerComponent
	//{
	//	var cc = go.AddComponent<T>();
	//	return cc;
	//}

	protected virtual void Update()
	{
		
	}

	//protected abstract Vector3 GetMovementDirection();

	//protected void SetTurns(sbyte horizontalDirection, float angle)
	//{
	//	// Set body turn directions
	//	sbyte verticalDirection = 0;
	//	if (Mathf.Abs(angle) < 90)
	//		verticalDirection = 1;
	//	else if (Mathf.Abs(angle) > 90)
	//		verticalDirection = -1;

	//	controlledObject.SetTurns(horizontalDirection, verticalDirection);
	//}

	protected void SetMovementDirection(Vector3 direction)
	{
		movement.SetMovementDirection(direction);
	}


	public void ChangeControl(bool b)
	{
		canControl = b;
	}
}

