﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class ResultsScreen : MonoBehaviour
{

	[SerializeField] private GameObject winner;
	[SerializeField] private GameObject loser;

	void Start ()
	{
		GameManager.instance.ShowFinalResults(winner, loser);
		StartCoroutine(ToMenu());
	}

	IEnumerator ToMenu()
	{
		yield return new WaitForSeconds(10f);

		GameManager.instance.DestroyGameSession();
		SceneManager.LoadScene("Menu");
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
